Skip to content
Start here

Update a sending subdomain

client.emailSending.subdomains.edit(stringsubdomainID, SubdomainEditParams { zone_id, drop_suppressed_recipients, preview_enabled } params, RequestOptionsoptions?): SubdomainEditResponse { enabled, name, tag, 6 more }
PATCH/zones/{zone_id}/email/sending/subdomains/{subdomain_id}

Updates the activity-log preview preference for a sending subdomain.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
subdomainID: string

Sending subdomain identifier.

maxLength32
params: SubdomainEditParams { zone_id, drop_suppressed_recipients, preview_enabled }
zone_id: string

Path param: Identifier.

maxLength32
drop_suppressed_recipients?: boolean

Body param: Whether a send request that includes a recipient suppressed on this subdomain drops that recipient and still delivers to the rest, instead of failing the entire request.

preview_enabled?: boolean

Body param: Whether sent messages from this subdomain can be previewed in the activity log.

ReturnsExpand Collapse
SubdomainEditResponse { enabled, name, tag, 6 more }
enabled: boolean

Whether Email Sending is enabled on this subdomain.

name: string

The exact domain name or a leftmost wildcard such as *.example.com.

tag: string

Sending subdomain identifier.

maxLength32
created?: string

The date and time the destination address has been created.

formatdate-time
dkim_selector?: string

The DKIM selector used for email signing. Wildcard rows publish the selector and sign with d=<base>.

drop_suppressed_recipients?: boolean

Whether a send request that includes a recipient suppressed on this subdomain drops that recipient and still delivers to the rest, instead of failing the entire request.

modified?: string

The date and time the destination address was last modified.

formatdate-time
preview_enabled?: boolean

Whether sent messages from this subdomain can be previewed in the activity log.

return_path_domain?: string

The return-path domain used for bounce handling. Wildcard rows use cf-bounce.<base>.

Update a sending subdomain

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.emailSending.subdomains.edit('aabbccdd11223344aabbccdd11223344', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.enabled);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "drop_suppressed_recipients": false,
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "drop_suppressed_recipients": false,
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}